/*
    Introduction to OOP with Java 3rd Ed, McGraw-Hill

    Wu/Otani

    Chapter 5 Sample Program: Computing Triangle Dimensions

    File: Ch5Sample2.java

*/

import java.util.*;

class Ch5Sample2 {

    public static void main( String[] args ) {

       
        Ch5Triangle    triangle;
        double         a, b, c, area, perimeter;
        
        Scanner scanner = new Scanner(System.in);
        scanner.useDelimiter(System.getProperty("line.separator"));

        System.out.print("Enter Side 1:");
        a = scanner.nextDouble();

        System.out.print("Enter Side 2 (base):");
        b = scanner.nextDouble();

        System.out.print("Enter Side 3:");
        c = scanner.nextDouble();

        triangle = new Ch5Triangle(a, b, c);

        perimeter = triangle.getPerimeter();

        area      = triangle.getArea();

        System.out.println("Three sides a, b, c:  " +
                                        a + "  " + b + "  " + c);
        System.out.println("Perimeter: " + perimeter);
        System.out.println("Area:      " + area);
    }
}